> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Training Job

> Get training job details with progress and metrics.



## OpenAPI

````yaml get /api/v1/training-jobs/{job_id}
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/training-jobs/{job_id}:
    get:
      tags:
        - training
      summary: Get Training Job
      description: Get training job details with progress and metrics.
      operationId: get_training_job_api_v1_training_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingJobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TrainingJobResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        annotation_set_id:
          type: string
          format: uuid
          title: Annotation Set Id
        config:
          additionalProperties: true
          type: object
          title: Config
        status:
          type: string
          title: Status
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Message
        progress_percent:
          type: integer
          title: Progress Percent
        metrics:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metrics
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        sagemaker_job_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sagemaker Job Name
        created_at:
          type: string
          format: date-time
          title: Created At
        queued_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Queued At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - tenant_id
        - dataset_id
        - annotation_set_id
        - config
        - status
        - status_message
        - progress_percent
        - metrics
        - error_message
        - sagemaker_job_name
        - created_at
        - queued_at
        - started_at
        - completed_at
      title: TrainingJobResponse
      description: Training job response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````